Get Wallets by User
curl --request GET \
--url https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "92b3eb46-e6df-4fcc-8a60-1313e816aebc",
"userId": "c9a26b49-7b71-44e5-8fdf-03ec6a2a7267",
"walletId": "5c3fa520-adbb-49aa-a95b-018c13db79e3",
"number": "31712053-f01e-466a-b784-fccf1a936418",
"status": "APPROVED",
"registerDate": "2026-06-03T11:05:58.210262",
"balances": null
}
],
"total": 1,
"page": null,
"pageSize": null,
"orderBy": null,
"orderDirection": null
}Custody
Get Wallets by User
Lists the custody wallets of a single user.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | Bearer <access_token> obtained from POST /api/v1/client/token. |
| user_id | Path | Yes | Identifier of the user, from GET /admin/users. |
| page | Query | No | Page number, starting at 1. |
| pageSize | Query | No | Number of records per page. |
Response
Paginated responses share the same envelope: items (the records), total, page, pageSize, orderBy and orderDirection. Each item contains:
| Field | Description |
|---|---|
| id | Identifier of the wallet record. |
| walletId | Operational wallet ID. Use this value as originId / walletId in transfers and withdrawals. |
| userId | Owner of the wallet. |
| status | Wallet status. It must be APPROVED to operate. |
| registerDate | Creation date. |
| address | On-chain address, when enabled for your account. |
| balances | Balances per network and token (network, symbol, value, movements, lastDateMovement). |
GET
/
api
/
v1
/
admin
/
wallets
/
{user_id}
Get Wallets by User
curl --request GET \
--url https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/admin/wallets/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "92b3eb46-e6df-4fcc-8a60-1313e816aebc",
"userId": "c9a26b49-7b71-44e5-8fdf-03ec6a2a7267",
"walletId": "5c3fa520-adbb-49aa-a95b-018c13db79e3",
"number": "31712053-f01e-466a-b784-fccf1a936418",
"status": "APPROVED",
"registerDate": "2026-06-03T11:05:58.210262",
"balances": null
}
],
"total": 1,
"page": null,
"pageSize": null,
"orderBy": null,
"orderDirection": null
}
